Bug 442525 (CVE-2008-1387) - CVE-2008-1387 clamav: Endless loop / hang with crafted arj
Summary: CVE-2008-1387 clamav: Endless loop / hang with crafted arj
Status: CLOSED ERRATA
Alias: CVE-2008-1387
Product: Security Response
Classification: Other
Component: vulnerability   
(Show other bugs)
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: source=internet,reported=20080415,pub...
Keywords: Security
Depends On: 442362 442363 442364
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-04-15 11:26 UTC by Tomas Hoger
Modified: 2008-06-19 10:49 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-19 10:49:23 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Tomas Hoger 2008-04-15 11:26:13 UTC
Hanno Boeck reported following issue affecting clamav:

Description:
CERT-FI published an advisory with a large number of samples of crafted
archives. The file with the md5sum b6046d890e6bd304e3756c88b989559a (named
b6046d890e6bd304e3756c88b989559a.arj) hangs clamav with high load.

If you're running clamav on a mailserver, an attacker can DoS your Server
remotely by sending some mails with the archive attached.

Workaround/Fix:
clamav 0.93 fixes this issue beside other security issues, if you're running
clamav you should upgrade as soon as possible.

References:
http://int21.de/cve/CVE-2008-1387-clamav.html
https://wwws.clamav.net/bugzilla/show_bug.cgi?id=897
http://svn.clamav.net/svn/clamav-devel/trunk/ChangeLog
http://www.cert.fi/haavoittuvuudet/joint-advisory-archive-formats.html

Comment 1 Fedora Update System 2008-04-25 11:18:01 UTC
clamav-0.92.1-2.fc7 has been submitted as an update for Fedora 7

Comment 2 Fedora Update System 2008-04-29 20:56:19 UTC
clamav-0.92.1-2.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 3 Fedora Update System 2008-04-29 21:01:22 UTC
clamav-0.92.1-2.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 4 Fedora Update System 2008-05-13 15:17:44 UTC
clamav-0.93-1.fc9 has been submitted as an update for Fedora 9

Comment 5 Fedora Update System 2008-05-14 22:09:07 UTC
clamav-0.93-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.